Subject: Re: bug#18222: 24.3.92; fork handlers in gmalloc.c can lead to deadlock

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Aug 2014 17:51:02 +0300

> Date: Mon, 25 Aug 2014 08:17:49 -0400
> From: Ken Brown <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On 8/24/2014 10:39 PM, Eli Zaretskii wrote:
> > The problem is how to write the DUMPED and ALLOCATED_BEFORE_DUMPING
> > macros.  For Cygwin, they use some intimate knowledge about Cygwin
> > runtime internals; the question is, do other platforms have similar
> > facilities and features.
> 
> The macros on Cygwin don't use any knowledge about Cygwin runtime 
> internals.  They use knowledge about how gmalloc and unexec work on 
> Cygwin.

Sorry, I meant the knowledge about the internals of sbrk used before
dumping.